let
  sources = import ./nix/sources.nix;
  pkgs = import sources.nixpkgs { };
  nur = import (builtins.fetchTarball
    "https://github.com/nix-community/NUR/archive/master.tar.gz") {
      inherit pkgs;
    };
  dyson = pkgs.callPackage ./nix/dyson.nix { };
  tex = pkgs.callPackage ./nix/texlive.nix { };
in pkgs.mkShell {
  buildInputs = with pkgs; [
    # deployment tools
    dyson
    kubectl
    kubectx

    # book tooks
    kindlegen
    mdbook
    nur.repos.mic92.pandoc-bin
    tex

    # preview
    nur.repos.xe.zathura

    # rust
    cargo
    rustc
    rls
  ];
}
